#!/bin/sh
#with -speak parameter it speak even if is not connected to bluetooth

v="150"
l="-ven" #you maybe want to change the language
mybtcar='00:00:00:00:00:00' #put mac address of your bluetooth car adapter

#vibrostrong function
vibrostrong()
{
dbus-send --system --print-reply --dest=com.nokia.mce /com/nokia/mce/request com.nokia.mce.request.req_start_manual_vibration int32:200 int32:500
}


if [ "$1" = "-speak" ]; then
 speak=1
else
 echo "Checking the bluetooth to see if phone is in the car..."
 speak=`hcitool con|grep -c "$mybtcar"`
fi
if [ "$speak" = "0" ]; then
 echo "Phone is not connected to the car. Messages will not be readed."
fi
ids="$(sqlite3 -line /home/user/.rtcom-eventlogger/el-v1.db 'select id from events where event_type_id in (7,8) and is_read = 0 order by storage_time ASC;'| grep " id = "|awk -F" " '{print $3}')"
refresh=0
if [ "$ids" = "" ]; then
echo "No unreaded messages found."
else 
for id in $ids; do
 numero="$(sqlite3 -line /home/user/.rtcom-eventlogger/el-v1.db "select remote_uid from events where event_type_id in (7,8) and id = $id order by storage_time ASC;"|awk -F" " '{print $3$4$5$6}')"
 leave_unreaded=0;
 read_msg=0; 
 #little antispam:
 case "$number" in
  *123456789) # Put here your balcklisted number
   refresh=1
   echo "Message Blacklisted"
   if [ "$speak" -gt "0" ]; then
    echo "Message Blacklisted marked as read"| espeak -s $v $l
   fi
   #mark as read
   sqlite3 -line /home/user/.rtcom-eventlogger/el-v1.db "update events set is_read = 1 where id = $id;"
  ;;
  *987654321) # Put here important number
   echo "Important message from.";vibrostrong
   gsleep 0.5;vibrostrong;read_msg=1;leave_unreaded=1
  ;;
  *)
   read_msg=1;
  ;;
 esac
 if  [ "$read_msg" = "1" ]; then
   nome="$(python ./rubrica.py $number|grep "\[u"|awk -F"'" '{print $2}')"
   if [ "$nome" = "" ]; then
    #if is not in phonebook
    if [ -n "$(echo $number|sed 's/[+0-9]//g')" ];then
     #if is alphanumeric use it as it is
     nome=$number
    else
     #if is numeric space it for reading
     nome="$(echo "$number"|sed 's/\(.\)/\1 /g')"
    fi
   fi
   int="Messaggio da $nome"
   echo "$int"
   if [ "$speak" -gt "0" ]; then
    #passo gli output a espeak
    testo="$(sqlite3 -line /home/user/.rtcom-eventlogger/el-v1.db "select free_text from events where event_type_id in (7,8) and id = $id order by storage_time ASC;"|sed 's/free_text =/Text of the message: /g'|sed 's/\//-/g')"
    echo "$testo"
    if [ "$leave_unreaded" -gt "0" ]; then
     echo "Important message."| espeak -s $v $l
    fi
    echo "$int"| espeak -s $v $l
    gsleep .5
    echo "$testo"| espeak -s $v $l
    gsleep .5
    echo "Ripeto"| espeak -s 150 -vit
    gsleep .5
    echo "$int"| espeak -s $v $l
    gsleep .5
    echo "$testo"| espeak -s $v $l
    if [ "$leave_unreaded" = "0" ]; then
     refresh=1
     echo "Message marked as read"
     echo "Message marked as read"| espeak -s $v $l
     sqlite3 -line /home/user/.rtcom-eventlogger/el-v1.db "update events set is_read = 1 where id = $id;"
    fi
   else
    echo Reader is in mute, therefore this message remains marked as unreaded.
   fi
   fi
done
if [ "$speak" -gt "0" ]; then
 echo "End of messages."
 echo "End of messages."| espeak -s $v $l
fi
fi
if [ "$refresh" = "1" ]; then
 echo "Refreshing conversations..."
 phone-control --notify "Refreshing conversations..."
 dbus-send --type=method_call --dest=com.nokia.HildonDesktop.AppMgr /com/nokia/HildonDesktop/AppMgr com.nokia.HildonDesktop.AppMgr.LaunchApplication string:"rtcom-messaging-ui"
 sleep 4
 killall rtcom-messaging-ui
else
 echo "No changes in the conversation database were made."
fi
echo "Done."
